-- Calculate the force on the membrane.

file_name = "9 mm aluminium foil"
femm_file = file_name.. ".fem"
result_file = file_name .. ".txt"
		
showconsole()
mydir="./"

open(mydir .. femm_file)
print(" mm,      N                 % of zero\n")

result = openfile(result_file,"w+")
write(result, file_name .. "\n" .. " mm        N           % of zero\n")

mi_saveas(mydir .. "temp.fem")
mi_seteditmode("group")

nsteps=20
step=0.05
		 
for n=0,nsteps do
	mi_analyze()
	mi_loadsolution()
--	mo_showdensityplot(1,0,1,0,"bmag") 
	mo_groupselectblock(1)
	fz=mo_blockintegral(12)
	
	if (n==0) then
		fz_first = fz
	end

	fz_percent = (1-(fz_first/fz)) * 100
	
	s = format("%.2f,   %f,       %+.2f",n/nsteps,fz, fz_percent)
	print(s)
				
	r = format("%.2f, %f,  %+.2f",n/nsteps,fz,fz_percent)
	write(result, s .. "\n")
	
	mi_selectgroup(1)
   	mi_movetranslate(0,step)
	
end